DigilockerE-Aadhaar

e-Aadhaar Download via DigiLocker

Download a user's e-Aadhaar XML from DigiLocker. Extract verified identity details including name, address, DOB, and photo.

curl -X POST "https://production.deepvue.tech/v1/kyc/digilocker/eaadhaar" \
  -H "Content-Type: application/json" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "client-id: YOUR_API_KEY" \
  -d '{
  "consent": "example_string",
  "purpose": "example_string",
  "initial_deepvue_transaction_id": "example_string",
  "generate_pdf": true
}'
{
  "code": 200,
  "timestamp": 1731338938745,
  "transaction_id": "string",
  "sub_code": "string",
  "message": "string",
  "data": {
    "masked_uid": "string",
    "proof_of_identity": {
      "dob": "string",
      "gender": "string",
      "name": "string"
    },
    "proof_of_address": {
      "care_of": "string",
      "district": "string",
      "house": "string",
      "locality": "string",
      "street": "string",
      "vtc": "string",
      "pincode": "string",
      "state": "string",
      "country": "string"
    },
    "photo": "base64-string",
    "document_pdf": "base64-string"
  }
}
POST
/v1/kyc/digilocker/eaadhaar
POST
API Key (header: x-api-key)
x-api-keystring
Required

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
API Key (header: client-id)
client-idstring
Required

The CLIENT_ID provided to you. This header parameter is required for authentication purposes.

The CLIENT_ID provided to you. This header parameter is required for authentication purposes.
Content-Typestring
Required

The media type of the request body

Options: application/json
purposestring
Required

Mention the purpose.

initial_deepvue_transaction_idstring
Required

transaction_id received from the Initiate Session API Endpoint.

generate_pdfboolean

Set this true or false based on whether you wish to generate a PDF.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
x-api-keystring
Required

API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

header
client-idstring
Required

API Key for authentication. The CLIENT_ID provided to you. This header parameter is required for authentication purposes.

Body

application/json
purposestring
Required

Mention the purpose.

initial_deepvue_transaction_idstring
Required

transaction_id received from the Initiate Session API Endpoint.

generate_pdfboolean

Set this true or false based on whether you wish to generate a PDF.

Responses

codeinteger
timestampinteger
transaction_idstring
sub_codestring
messagestring
dataobject

Per UIDAI regulations, service providers shall not share, publish, or display either the share code or XML file or its contents with anyone else. Non-compliance carries serious legal consequences under multiple sections of The Aadhaar Act, 2016 and related regulations.

Consent must be mandatorily stored at your end before proceeding with verification.